locked
Can I use Windows Identity Foundation 3.5/4.0 with a .NET 4.5 solution? RRS feed

  • Question

  • Scenario:  multiple existing apps targeting previous versions of .NET and new applications targeting 4.5 are all moving to an SSO model using WIF.

    I want to create some reusable components to make the adoption much more uniform enterprise-wide.  If I create the components targeting the new namespacing, etc then I will need to upgrade all my solutions to 4.5 to implement SSO in them.

    My thought is that I should create this reusable bit in the previous version of WIF if I can have the 4.5 projects use it, then in the future, when all projects are migrated to 4.5, recode my library to use the new WIF in .NET 4.5.

    Thoughts?

    • Moved by Lisa Zhu Monday, January 7, 2013 2:22 AM (From:Visual C# )
    Thursday, January 3, 2013 7:01 PM

Answers

All replies

  • Hi TravisWatsonWS,

    Thank you for visiting the MSDN forum. I’m afraid that it is not the correct forum about this issue. I am moving your question to the moderator forum ("Where is the forum for..?"). The owner of the forum will direct you to a right forum.

    Thanks for your understanding.

    Regards,


    Lisa Zhu [MSFT]
    MSDN Community Support | Feedback to us
    Develop and promote your apps in Windows Store
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Monday, January 7, 2013 2:20 AM
  • Might ask them over here.

    http://social.msdn.microsoft.com/Forums/en-US/Geneva/threads/

     

     

     


    Regards, Dave Patrick ....
    Microsoft Certified Professional
    Microsoft MVP [Windows]

    Disclaimer: This posting is provided "AS IS" with no warranties or guarantees , and confers no rights.

    Tuesday, January 8, 2013 4:12 AM